%global momorel 2
Summary: TMMS is a ncurse frontend for mpg123 (or mpg321) and ogg123.
Name: tmms
Version: 2.0.0
Release: %{momorel}m
License: GPL
Group: Applications/Multimedia
URL: http://tnemeth.free.fr/projets/tmms.html
%NoSource 0 http://tnemeth.free.fr/projets/programmes/%{name}-%{version}.tar.gz 31147d9ccb597627e7392af603d5361c
Patch0: tmms-2.0.0-label.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libtermcap, readline, mpg321, vorbis-tools
BuildPreReq: libtermcap-devel, readline-devel >= 5.0

%description

%prep
%setup -q -n %{name}
%patch0 -p1
perl -p -i -e 's|^include \.dependencies|-include \.dependencies|' Makefile

%build
make PREFIX=/usr USER_CPPFLAGS= \
     USER_LDFLAGS='-lncurses -lreadline -ltermcap -lpthread'

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} \
	PREFIX=/usr \
	MANDIR=%{buildroot}%{_mandir}/man1 install

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog INSTALL README TODO
%{_bindir}/tmms
%{_mandir}/man1/tmms.*

%changelog
* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.0-2m)
- rebuild against readline-5.0

* Sun Dec 11 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (2.0.0-1m)
- update to 2.0.0
- add patch0

* Sun Dec 11 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (1.1.0-1m)
- update to 1.1.0

* Wed Mar  9 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (0.1.0-2m)
- rebuild against libtermcap and ncurses

* Tue Jan 25 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.1.0-1m)
  imported.
